package com.ruoyi.buyerapi.mapper;

import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerCompanyInfo;

/**
 * 会员企业信息Mapper接口
 * 
 * @author zq
 * @date 2022-09-20
 */
public interface BuyerCompanyInfoMapper 
{
    /**
     * 查询会员企业信息
     * 
     * @param id 会员企业信息主键
     * @return 会员企业信息
     */
    public BuyerCompanyInfo selectBuyerCompanyInfoById(String id);

    /**
     * 查询会员企业信息
     *
     * @param userId 用户id
     * @return 会员企业信息
     */
    public BuyerCompanyInfo selectBuyerCompanyInfoByUserId(long userId);

    /**
     * 查询会员企业信息列表
     * 
     * @param buyerCompanyInfo 会员企业信息
     * @return 会员企业信息集合
     */
    public List<BuyerCompanyInfo> selectBuyerCompanyInfoList(BuyerCompanyInfo buyerCompanyInfo);

    /**
     * 会员趋势统计
     *
     * @param buyerCompanyInfo 会员企业信息
     * @return 会员趋势
     */
    public int selectTrendBuyerCompanyInfo(BuyerCompanyInfo buyerCompanyInfo);

    /**
     * 查询会员数量
     * @param buyerCompanyInfo 会员企业信息
     * @return 会员数量
     */
    public int selectCountBuyerCompanyInfo(BuyerCompanyInfo buyerCompanyInfo);

    /**
     * 新增会员企业信息
     * 
     * @param buyerCompanyInfo 会员企业信息
     * @return 结果
     */
    public int insertBuyerCompanyInfo(BuyerCompanyInfo buyerCompanyInfo);

    /**
     * 修改会员企业信息
     * 
     * @param buyerCompanyInfo 会员企业信息
     * @return 结果
     */
    public int updateBuyerCompanyInfo(BuyerCompanyInfo buyerCompanyInfo);

    /**
     * 删除会员企业信息
     * 
     * @param id 会员企业信息主键
     * @return 结果
     */
    public int deleteBuyerCompanyInfoById(String id);

    /**
     * 批量删除会员企业信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBuyerCompanyInfoByIds(String[] ids);
}
